Subject: Sale in watch store

From: " Iporpr-archive" <[email-masked] >
Date: Fri, 6 Jul 2007 10:27:33 +0500

Add a bit of posh bling-bling into your outfit – get a luxury replica watch!
Check out our top-quality replicas – we’ve got the lowest prices on the Web!
All the most popular brands always in stock – waiting for you!
http://slonoima.com